Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_Factory_Map.h File Reference

`#include "ace/config-all.h"`
`#include "PG_Factory_Set.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "ace/Hash_Map_Manager_T.h"`

Include dependency graph for PG_Factory_Map.h:

This graph shows which files directly or indirectly include this file:

## Typedefs
typedef ACE_Hash_Map_Manager_Ex< ACE_UINT32, TAO_PG_Factory_Set, ACE_Hash< ACE_UINT32 >, ACE_Equal_To< ACE_UINT32 >, ACE_Null_Mutex > | TAO_PG_Factory_Map
| Factory hash map.

## Detailed Description

Id:
  PG_Factory_Map.h,v 1.3 2003/12/22 01:44:38 wilson_d Exp

Author:
  Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex< ACE_UINT32, TAO_PG_Factory_Set, ACE_Hash<ACE_UINT32>, ACE_Equal_To<ACE_UINT32>, ACE_Null_Mutex> TAO_PG_Factory_Map

| Factory hash map.